%define lib_name_orig %mklibname kdeaccessibility4
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

%define libkttsd %mklibname kttsd 5

Name: kdeaccessibility4
Version: 4.0.3
Epoch: 1
Group: Graphical desktop/KDE
Summary: K Desktop Environment - Accessibility program
URL: http://www.kde.org
Release: %mkrel 1
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeaccessibility-%version.tar.bz2
License: GPL
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: libgstreamer-devel
BuildRequires: akode-devel
BuildRequires: kdebase4-devel
BuildRequires: kdebase4-workspace-devel
BuildRequires: alsa-lib-devel
Requires: kde4-kmag
Requires: kde4-kmouth
Requires: kde4-kmousetool
Requires: kde4-kttsd

%description
KDE Accessibility Aids:
- kmag, a screen magnifier,
- kmousetool, a program for people whom it hurts to click the mouse
- KMouth, a program that allows people who have lost their voice to let 
  their computer speak for them.

%files
%defattr(-,root,root)

#--------------------------------------------------------------------

%package -n %name-core
Group: Graphical desktop/KDE
Summary: KMag Program

%description -n %name-core
Common files needed by packages from %name


%post -n %name-core
/sbin/ldconfig
%update_icon_cache mono

%postun -n %name-core
/sbin/ldconfig
%clean_icon_cache mono

%files -n %name-core
%defattr(-,root,root)
%_kde_datadir/icons/mono/scalable/actions/*.svgz
%_kde_datadir/icons/mono/index.theme
%_kde_datadir/icons/mono/scalable/apps/*.svgz
%_kde_datadir/icons/mono/scalable/devices/*.svgz
%_kde_datadir/icons/mono/scalable/mimetypes/*.svgz
%_kde_datadir/icons/hicolor/16x16/actions/followmouse.png
%_kde_datadir/icons/hicolor/16x16/actions/hidemouse.png
%_kde_datadir/icons/hicolor/16x16/actions/window.png
%_kde_datadir/icons/mono/*/animations/process*.png
%_kde_datadir/icons/mono/scalable/categories/applications*.svgz
%_kde_datadir/icons/mono/scalable/categories/preferences*.svgz
%_kde_datadir/icons/mono/scalable/categories/system-help.svgz
%_kde_datadir/icons/mono/scalable/places/*.svgz
%_kde_datadir/icons/mono/scalable/status/*.svgz
%_kde_appsdir/color-schemes/*
%exclude %_kde_datadir/icons/mono/scalable/apps/kmag.svgz
%exclude %_kde_datadir/icons/mono/scalable/actions/kmousetool_off.svgz
%exclude %_kde_datadir/icons/mono/scalable/actions/kmousetool_on.svgz
%exclude %_kde_datadir/icons/mono/scalable/apps/kmousetool.svgz


#--------------------------------------------------------------------
%package -n kde4-kmag
Group: Graphical desktop/KDE
Summary: KMag Program
Requires: %name-core

%description -n kde4-kmag
KMag Program

%files -n kde4-kmag
%defattr(-,root,root,0755)
%_kde_bindir/kmag
%_kde_datadir/applications/kde4/kmag.desktop
%_kde_datadir/icons/mono/scalable/apps/kmag.svgz
%_kde_datadir/icons/hicolor/*/apps/kmag.png
%_kde_appsdir/kmag/kmagui.rc
%_kde_docdir/HTML/en/kmag

#--------------------------------------------------------------------
%package -n kde4-kmouth
Group: Graphical desktop/KDE
Summary: KMag Program
Requires: %name-core

%description -n kde4-kmouth
Kmouth Program

%files -n kde4-kmouth
%defattr(-,root,root,0755)
%_kde_bindir/kmouth
%_kde_datadir/applications/kde4/kmouth.desktop
%{_kde_appsdir}/kmouth/books/de/*
%{_kde_appsdir}/kmouth/books/en/*
%{_kde_appsdir}/kmouth/books/sv/*
%{_kde_appsdir}/kmouth/icons/hicolor/*/*/*.png
%{_kde_appsdir}/kmouth/kmouthui.rc
%{_kde_appsdir}/kmouth/phrasebookdialogui.rc
%{_kde_datadir}/config/kmouthrc
%{_kde_iconsdir}/*/*/actions/female.png
%{_kde_iconsdir}/*/*/actions/male.png
%{_kde_iconsdir}/*/*/actions/nospeak.png
%{_kde_iconsdir}/*/*/actions/speak.png
%{_kde_iconsdir}/*/*/apps/kmouth.png
%{_kde_iconsdir}/hicolor/32x32/apps/kmousetool.png
%{_kde_docdir}/HTML/en/kmouth

#--------------------------------------------------------------------
%package -n kde4-kmousetool
Group: Graphical desktop/KDE
Summary: kmousetool program
Requires: %name-core

%description -n kde4-kmousetool
kmousetool program

%files -n kde4-kmousetool
%defattr(-,root,root,0755)
%_kde_bindir/kmousetool
%_kde_datadir/applications/kde4/kmousetool.desktop
%_kde_appsdir/kmousetool/sounds/mousetool_tap.wav
%_kde_datadir/icons/mono/scalable/actions/kmousetool_off.svgz
%_kde_datadir/icons/mono/scalable/actions/kmousetool_on.svgz
%_kde_datadir/icons/mono/scalable/apps/kmousetool.svgz
%_kde_datadir/icons/hicolor/16x16/actions/kmousetool_off.png
%_kde_datadir/icons/hicolor/16x16/actions/kmousetool_on.png
%_kde_datadir/icons/hicolor/16x16/apps/kmousetool.png
%_kde_datadir/icons/hicolor/32x32/actions/kmousetool_off.png
%_kde_datadir/icons/hicolor/32x32/actions/kmousetool_on.png
%_kde_docdir/HTML/en/kmousetool

#--------------------------------------------------------------------

%package -n kde4-kttsd
Group: Graphical desktop/KDE
Summary: KTTS - KDE Text-to-Speech
Requires: %libkttsd = %epoch:%version-%release
Requires: %name-core

%description -n kde4-kttsd
KTTS -- KDE Text-to-Speech -- is a subsystem within the KDE desktop for 
conversion of text to audible speech. KTTS is currently under development 
and aims to become the standard subsystem for all KDE applications 
to provide speech output.
User Features:
 _ Speak any text from the KDE clipboard.
 _ Speak any plain text file.
 _ Speak all or any portion of a text file from Kate.
 _ Speak all or any portion of an HTML page from Konqueror.
 _ Use as the speech backend for KMouth and KSayIt.
 _ Speak KDE notifications (KNotify).
 _ Long text is parsed into sentences. User may backup by sentence or 
	paragraph, replay, pause, and stop playing.
 _ Audio output via aRts or GStreamer (version 0.8.7 or later)

%files -n kde4-kttsd
%defattr(-,root,root,0755)
%_kde_bindir/kttsd
%_kde_bindir/kttsmgr

%_kde_datadir/applications/kde4/kttsmgr.desktop
%_kde_datadir/kde4/services/kcmkttsd.desktop
%_kde_datadir/kde4/services/kttsd.desktop
%_kde_datadir/kde4/services/kttsd_alsaplugin.desktop
%_kde_datadir/kde4/services/kttsd_commandplugin.desktop
%_kde_datadir/kde4/services/kttsd_eposplugin.desktop
%_kde_datadir/kde4/services/kttsd_festivalintplugin.desktop
%_kde_datadir/kde4/services/kttsd_fliteplugin.desktop
%_kde_datadir/kde4/services/kttsd_freettsplugin.desktop
%_kde_datadir/kde4/services/kttsd_hadifixplugin.desktop
%_kde_datadir/kde4/services/kttsd_phononplugin.desktop
%_kde_datadir/kde4/services/kttsd_sbdplugin.desktop
%_kde_datadir/kde4/services/kttsd_stringreplacerplugin.desktop
%_kde_datadir/kde4/services/kttsd_talkerchooserplugin.desktop
%_kde_datadir/kde4/services/kttsd_xmltransformerplugin.desktop
%_kde_datadir/kde4/services/kttsjobmgr.desktop
%_kde_datadir/kde4/servicetypes/kttsd_audioplugin.desktop
%_kde_datadir/kde4/servicetypes/kttsd_filterplugin.desktop
%_kde_datadir/kde4/servicetypes/kttsd_synthplugin.desktop
%{_kde_libdir}/kde4/kcm_kttsd.so
%{_kde_libdir}/kde4/libkttsd_alsaplugin.so
%{_kde_libdir}/kde4/libkttsd_commandplugin.so
%{_kde_libdir}/kde4/libkttsd_eposplugin.so
%{_kde_libdir}/kde4/libkttsd_festivalintplugin.so
%{_kde_libdir}/kde4/libkttsd_fliteplugin.so
%{_kde_libdir}/kde4/libkttsd_freettsplugin.so
%{_kde_libdir}/kde4/libkttsd_hadifixplugin.so
%{_kde_libdir}/kde4/libkttsd_phononplugin.so
%{_kde_libdir}/kde4/libkttsd_sbdplugin.so
%{_kde_libdir}/kde4/libkttsd_stringreplacerplugin.so
%{_kde_libdir}/kde4/libkttsd_talkerchooserplugin.so
%{_kde_libdir}/kde4/libkttsd_xmltransformerplugin.so
%{_kde_libdir}/kde4/libkttsjobmgrpart.so
%_kde_appsdir/kttsd/festivalint/sabletowave.scm
%_kde_appsdir/kttsd/festivalint/voices
%_kde_appsdir/kttsd/festivalint/xslt/SSMLtoSable.xsl
%_kde_appsdir/kttsd/hadifix/xslt/SSMLtoTxt2pho.xsl
%_kde_appsdir/kttsd/kcmkttsd_testmessage.desktop
%_kde_appsdir/kttsd/sbd/polish_festival_sbdrc
%_kde_appsdir/kttsd/sbd/standard_sbdrc
%_kde_appsdir/kttsd/stringreplacer/*.xml
%_kde_appsdir/kttsd/talkerchooser/female_notifications_rc
%_kde_appsdir/kttsd/xmltransformer/xhtml2ssml.xsl
%_kde_appsdir/kttsd/xmltransformer/xhtml2ssml_simple.xsl
%_kde_appsdir/kttsd/xslt/SSMLtoPlainText.xsl
%_kde_docdir/HTML/en/kttsd/

#-----------------------------------------------------------------------------

%package -n %libkttsd
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkttsd
KDE 4 library.

%post -n %libkttsd -p /sbin/ldconfig
%postun -n %libkttsd -p /sbin/ldconfig

%files -n %libkttsd
%defattr(-,root,root)
%_kde_libdir/libkttsd.so.*

#-----------------------------------------------------------------------------

%package -n	%{lib_name}-kttsd-devel
Group: Development/KDE and Qt
Summary: Header files for developing ktts
Requires: %{lib_name}-kttsd = %epoch:%{version}-%{release}

%description -n	%{lib_name}-kttsd-devel
Header files needed for developing ktts applications.

%files -n %lib_name-kttsd-devel
%defattr(-,root,root)
%_kde_libdir/libkttsd.so

#--------------------------------------------------------------------

%prep
%setup -q -n kdeaccessibility-%version

%build

%cmake_kde4

%make

%install
rm -fr %buildroot

make -C build DESTDIR=%buildroot install

%clean
rm -fr %buildroot



%changelog
* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 191016
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-2mdv2008.1
+ Revision: 182257
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177466
- New upstream bugfix release 4.0.2

* Tue Feb 12 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 166288
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE team

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description

* Wed Jan 09 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-1mdv2008.1
+ Revision: 147305
- Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.751521.1mdv2008.1
+ Revision: 137441
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.746478.1mdv2008.1
+ Revision: 117093
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.742686.1mdv2008.1
+ Revision: 114127
- New snapshot

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.736231.1mdv2008.1
+ Revision: 111530
- New snapshot

* Sun Nov 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.0-0.736231.1mdv2008.1
+ Revision: 109741
- KDE4 RC1

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.728852.1mdv2008.1
+ Revision: 102123
- Fix BR
- Svn commit

* Fri Oct 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.0-0.725652.1mdv2008.1
+ Revision: 100085
- Kde 4 beta 3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Fri Sep 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1:3.93.0-0.712749.1mdv2008.0
+ Revision: 92046
- new snapshot from kde svn
- make all obsoletes versioned

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add missing Requires on %%name-core
    - 3.91
    - Fix spec according to new  KDE layout

* Thu May 10 2007 Laurent Montel <lmontel@mandriva.org> 1:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25999
- new snapshot

* Sat Apr 21 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070418.1mdv2008.0
+ Revision: 16539
- new snapshot


* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070306.1mdv2007.1
+ Revision: 133606
- new snapshot
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070117.1mdv2007.1
+ Revision: 110504
- Update
- Update snapshot

* Sun Jan 07 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 105138
- Update
- Fix
- Byebye menu
- Fix other buildrequires
- Import kdeaccessibility4

* Thu Oct 26 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-2mdv2007.0
- First package

